<?php

class tx_multishop_mpay24 {
	function mslib_payment(&$params, &$ref) {
		// mPAY24
		$vars=array();
		$vars['merchantid']['type']='input';
		$vars['test']['type']='radio';
		$vars['test']['options'][]='true';
		$vars['test']['options'][]='false';
		$vars['autosubmit']['type']='radio';
		$vars['autosubmit']['options'][]='true';
		$vars['autosubmit']['options'][]='false';
		$vars['open_in_new_window']['type']='radio';
		$vars['open_in_new_window']['options'][]='true';
		$vars['open_in_new_window']['options'][]='false';
		$additional_info=array();
		$additional_info['1']['label']='Go to Einstellungen';
		$additional_info['1']['value']='And setup the following URLS:<br />';
		$additional_info['2']['label']='Success:';
		$additional_info['2']['value']=$ref->FULL_HTTP_URL.'mPay24NotificationUrl/psp_accepturl/';
		$additional_info['3']['label']='Error:';
		$additional_info['3']['value']=$ref->FULL_HTTP_URL.'mPay24NotificationUrl/psp_exceptionurl/';
		$additional_info['4']['label']='Confirmation:';
		$additional_info['4']['value']=$ref->FULL_HTTP_URL.mslib_fe::typolink($ref->shop_pid.',2002', 'tx_multishop_pi1[page_section]=psp&tx_multishop_pi1[payment_lib]=mpay24&tx_multishop_pi1[payment_section]=confirmation', 1);
		$additional_info['5']['label']='MPAY24 does not accept these URLs due to [ ] signs. You can bypass this problem by using the following mod-rewrite rule:';
		$additional_info['5']['value']=$ref->FULL_HTTP_URL.'mPay24NotificationUrl/psp_approveurl/<br />Add the following lines to .htaccess file:<br /># MPAY24 notification URL wrapper<br />';
		$additional_info['5']['value'].='<pre>
RewriteEngine On
RewriteCond %{REQUEST_URI} ^/mPay24NotificationUrl/psp_accepturl/
RewriteRule .* /index.php?id='.$ref->shop_pid.'tx_multishop_pi1\%5Bpage_section\%5D=psp_accepturl [P,L,QSA]
RewriteCond %{REQUEST_URI} ^/mPay24NotificationUrl/psp_exceptionurl/
RewriteRule .* /index.php?id='.$ref->shop_pid.'tx_multishop_pi1\%5Bpage_section\%5D=psp_exceptionurl [P,L,QSA]
RewriteCond %{REQUEST_URI} ^/mPay24NotificationUrl/psp_approveurl/
RewriteRule .* /index.php?id='.$ref->shop_pid.'type=2002&tx_multishop_pi1\%5Bpage_section\%5D=psp&tx_multishop_pi1\%5Bpayment_lib\%5D=mpay24&tx_multishop_pi1\%5Bpayment_section\%5D=confirmation [P,L,QSA]</pre>';
		$payment_method=array(
			'name'=>'mPAY24',
			'country'=>'au',
			'vars'=>$vars,
			'more_info_link'=>'http://www.typo3multishop.com/payment-service-providers/mpay24/',
			'image'=>'mpay24.png',
			'additional_info'=>$additional_info
		);
		// mPAY24 EOF
		$params['installedPaymentMethods']['mpay24']=$payment_method;
	}
}

?>
