<?php
class tx_multishop_payment_method extends mslib_payment {
	function displayPaymentButton($orders_id, $ref) {
		//
		$basePath=\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extPath('multishop_mpay24').'locallang.xml';
		$tempLOCAL_LANG=\TYPO3\CMS\Core\Utility\GeneralUtility::readLLfile($basePath, $ref->LLkey);
		$ref->LOCAL_LANG=array_replace_recursive($tempLOCAL_LANG, is_array($ref->LOCAL_LANG) ? $ref->LOCAL_LANG : array());
		if ($ref->altLLkey) {
			$tempLOCAL_LANG=\TYPO3\CMS\Core\Utility\GeneralUtility::readLLfile($basePath, $ref->altLLkey);
			$ref->LOCAL_LANG=array_replace_recursive($tempLOCAL_LANG, is_array($ref->LOCAL_LANG) ? $ref->LOCAL_LANG : array());
		}
		//
		$order=mslib_fe::getOrder($orders_id);
		if ($order['orders_id']) {
			$vars=$this->variables;
			if ($vars['test']=='true') {
				$ref->ms['url']='https://test.mpay24.com/app/bin/etpv5';
			} else {
				$ref->ms['url']='https://www.mpay24.com/app/bin/etpv5';
			}
			$order['billing_address']=preg_replace('/\s+/', ' ', $order['billing_address']);
			$order['billing_city']=str_replace(' ', '', $order['billing_city']);
			$order['billing_zip']=str_replace(' ', '', $order['billing_zip']);
			if (!$order['billing_company']) {
				$order['billing_company']=$order['billing_name'];
			}
			$amount=number_format((preg_replace("/^0/", '', round($order['total_amount'], 2))), 2);
			$transaction_id=mslib_fe::createPaymentTransactionId($order['orders_id'], 'mpay24', $order['payment_method']);

			$postArray=array();
			$postArray[]='OPERATION=SELECTPAYMENT';
			$postArray[]='MERCHANTID='.$vars['merchantid'];
			$postArray[]='TID='.$transaction_id;
			$post=implode('&',$postArray);

			$xmlfile='';
			$xmlfile.="<Order>"."\n";
			$xmlfile.="\t"."<Tid>".$transaction_id."</Tid>"."\n";
			$xmlfile.="\t"."<TemplateSet Language=\"".strtoupper($ref->lang)."\"/>"."\n";
			$xmlfile.="\t"."<Price>".$amount."</Price>"."\n";
			$xmlfile.="\t"."<Customer Id=\"customer".$order['customer_id']."\" UseProfile=\"true\"/>"."\n";
			$xmlfile.="</Order>"."\n";
			$complete_post=$post."&MDXI=".rawurlencode($xmlfile);

			$ch=curl_init();
			curl_setopt($ch, CURLOPT_URL, $ref->ms['url']);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1); // Output to a variable
			curl_setopt($ch, CURLOPT_POST, 1); // Use HTTP POST
			curl_setopt($ch, CURLOPT_TIMEOUT, 20); // Default Timeout
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
			curl_setopt($ch, CURLOPT_POSTFIELDS, $complete_post); // Post Variables
			$results=curl_exec($ch);
			parse_str($results, $output);
			if ($ref->ROOTADMIN_USER and $output['STATUS']=='ERROR') {
				$content.=mslib_befe::print_r($output);
			} else {
				$content.='
				<form method="post" action="'.$output['LOCATION'].'" id="pspform" name="pspform" target="'.($vars['open_in_new_window']=='true' ? '_blank' : '').'">
					<input type="submit" name="submit2" value="'.$ref->pi_getLL('pay_through_mpay24').'" id="msMpay24PaymentButton" class="btn btn-success btn-lg">
				</form>
				';
				if ($vars['autosubmit']=='true') {
					$GLOBALS['TSFE']->additionalHeaderData['pspFormRedirect']='
					<script type="text/javascript" data-ignore="1">
						jQuery(document).ready(function($){
							setTimeout(function () {
								jQuery("#pspform").attr(\'target\',\'\');
								jQuery("#pspform").submit();
							}, 500);
						});
					</script>';
					if ($output['LOCATION']) {
						header("Location: ".$output['LOCATION']);
						exit();
					}
				}
			}
		}
		return $content;
	}
	function paymentNotificationHandler() {
		$post=$this->ref->post;
		$get=$this->ref->get;
		switch ($_REQUEST['tx_multishop_pi1']['payment_section']) {
			case 'confirmation':
				// the server that is contacted by mPAY24 to update the order status to paid
				switch ($get['STATUS']) {
					case 'BILLED':
						if ($get['TID']) {
							$transaction_id=$get['TID'];
						}
						if ($transaction_id) {
							if ($transaction_id) {
								$orders_id=mslib_fe::getOrdersIdByTransactionId($transaction_id, 'mpay24');
								if ($orders_id) {
									mslib_fe::updateOrderStatusToPaid($orders_id);
									header('Location: '.$ref->FULL_HTTP_URL.mslib_fe::typolink($ref->shop_pid, 'tx_multishop_pi1[page_section]=psp_accepturl'));
									exit();
								}
							}
						}
						break;
				}
				break;
		}
		return $content;
	}
}
?>